Package org.flowable.cmmn.api.history

# Interface HistoricPlanItemInstanceQuery

All Superinterfaces:
  `Query<HistoricPlanItemInstanceQuery,HistoricPlanItemInstance>`

public interface HistoricPlanItemInstanceQuery extends Query<HistoricPlanItemInstanceQuery,HistoricPlanItemInstance>

Author:
  Dennis Federico, Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HistoricPlanItemInstanceQuery`
  `completedAfter(Date completedAfter)`
  `HistoricPlanItemInstanceQuery`
  `completedBefore(Date completedBefore)`
  `HistoricPlanItemInstanceQuery`
  `createdAfter(Date createdAfter)`
  `HistoricPlanItemInstanceQuery`
  `createdBefore(Date createdBefore)`
  `HistoricPlanItemInstanceQuery`
  `ended()`
  `HistoricPlanItemInstanceQuery`
  `endedAfter(Date endedAfter)`
  `HistoricPlanItemInstanceQuery`
  `endedBefore(Date endedBefore)`
  `HistoricPlanItemInstanceQuery`
  `exitAfter(Date exitAfter)`
  `HistoricPlanItemInstanceQuery`
  `exitBefore(Date exitBefore)`
  `HistoricPlanItemInstanceQuery`
  `includeLocalVariables()`
  `HistoricPlanItemInstanceQuery`
  `involvedGroups(Collection<String> involvedGroups)`
  `HistoricPlanItemInstanceQuery`
  `involvedUser(String involvedUser)`
  `HistoricPlanItemInstanceQuery`
  `lastAvailableAfter(Date availableAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastAvailableBefore(Date availableBefore)`
  `HistoricPlanItemInstanceQuery`
  `lastDisabledAfter(Date disabledAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastDisabledBefore(Date disabledBefore)`
  `HistoricPlanItemInstanceQuery`
  `lastEnabledAfter(Date enabledAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastEnabledBefore(Date enabledBefore)`
  `HistoricPlanItemInstanceQuery`
  `lastStartedAfter(Date startedAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastStartedBefore(Date startedBefore)`
  `HistoricPlanItemInstanceQuery`
  `lastSuspendedAfter(Date suspendedAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastSuspendedBefore(Date suspendedBefore)`
  `HistoricPlanItemInstanceQuery`
  `lastUnavailableAfter(Date unavailableAfter)`
  `HistoricPlanItemInstanceQuery`
  `lastUnavailableBefore(Date unavailableBefore)`
  `HistoricPlanItemInstanceQuery`
  `locale(String locale)`
  Localize plan item name to specified locale.
  `HistoricPlanItemInstanceQuery`
  `notEnded()`
  `HistoricPlanItemInstanceQuery`
  `occurredAfter(Date occurredAfter)`
  `HistoricPlanItemInstanceQuery`
  `occurredBefore(Date occurredBefore)`
  `HistoricPlanItemInstanceQuery`
  `onlyStages()`
  `HistoricPlanItemInstanceQuery`
  `orderByCompletedTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByCreateTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByEndedTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByExitTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastAvailableTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastDisabledTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastEnabledTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastStartedTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastSuspendedTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByLastUpdatedTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByName()`
  `HistoricPlanItemInstanceQuery`
  `orderByOccurredTime()`
  `HistoricPlanItemInstanceQuery`
  `orderByTerminatedTime()`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceAssignee(String assignee)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceCaseDefinitionId(String caseDefinitionId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceCaseInstanceId(String caseInstanceId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceCompletedBy(String completedBy)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceDefinitionId(String planItemDefinitionId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceDefinitionType(String planItemDefinitionType)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceDefinitionTypes(List<String> planItemDefinitionTypes)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceDerivedCaseDefinitionId(String derivedCaseDefinitionId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceElementId(String elementId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceEntryCriterionId(String entryCriterionId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceExitCriterionId(String exitCriterionId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceExtraValue(String extraValue)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceFormKey(String formKey)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceId(String planItemInstanceId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceName(String planItemInstanceName)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceReferenceId(String referenceId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceReferenceType(String referenceType)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceStageInstanceId(String stageInstanceId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceStartUserId(String startUserId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceState(String state)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceTenantId(String tenantId)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceTenantIdLike(String tenantIdLike)`
  `HistoricPlanItemInstanceQuery`
  `planItemInstanceWithoutTenantId()`
  `HistoricPlanItemInstanceQuery`
  `terminatedAfter(Date terminatedAfter)`
  `HistoricPlanItemInstanceQuery`
  `terminatedBefore(Date terminatedBefore)`
  `HistoricPlanItemInstanceQuery`
  `withLocalizationFallback()`
  Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### planItemInstanceId

    HistoricPlanItemInstanceQuery planItemInstanceId(String planItemInstanceId)

  - ### planItemInstanceName

    HistoricPlanItemInstanceQuery planItemInstanceName(String planItemInstanceName)

  - ### planItemInstanceState

    HistoricPlanItemInstanceQuery planItemInstanceState(String state)

  - ### planItemInstanceCaseDefinitionId

    HistoricPlanItemInstanceQuery planItemInstanceCaseDefinitionId(String caseDefinitionId)

  - ### planItemInstanceDerivedCaseDefinitionId

    HistoricPlanItemInstanceQuery planItemInstanceDerivedCaseDefinitionId(String derivedCaseDefinitionId)

  - ### planItemInstanceCaseInstanceId

    HistoricPlanItemInstanceQuery planItemInstanceCaseInstanceId(String caseInstanceId)

  - ### planItemInstanceStageInstanceId

    HistoricPlanItemInstanceQuery planItemInstanceStageInstanceId(String stageInstanceId)

  - ### planItemInstanceElementId

    HistoricPlanItemInstanceQuery planItemInstanceElementId(String elementId)

  - ### planItemInstanceDefinitionId

    HistoricPlanItemInstanceQuery planItemInstanceDefinitionId(String planItemDefinitionId)

  - ### planItemInstanceDefinitionType

    HistoricPlanItemInstanceQuery planItemInstanceDefinitionType(String planItemDefinitionType)

  - ### planItemInstanceDefinitionTypes

    HistoricPlanItemInstanceQuery planItemInstanceDefinitionTypes(List<String> planItemDefinitionTypes)

  - ### planItemInstanceStartUserId

    HistoricPlanItemInstanceQuery planItemInstanceStartUserId(String startUserId)

  - ### planItemInstanceAssignee

    HistoricPlanItemInstanceQuery planItemInstanceAssignee(String assignee)

  - ### planItemInstanceCompletedBy

    HistoricPlanItemInstanceQuery planItemInstanceCompletedBy(String completedBy)

  - ### planItemInstanceReferenceId

    HistoricPlanItemInstanceQuery planItemInstanceReferenceId(String referenceId)

  - ### planItemInstanceReferenceType

    HistoricPlanItemInstanceQuery planItemInstanceReferenceType(String referenceType)

  - ### planItemInstanceEntryCriterionId

    HistoricPlanItemInstanceQuery planItemInstanceEntryCriterionId(String entryCriterionId)

  - ### planItemInstanceExitCriterionId

    HistoricPlanItemInstanceQuery planItemInstanceExitCriterionId(String exitCriterionId)

  - ### planItemInstanceFormKey

    HistoricPlanItemInstanceQuery planItemInstanceFormKey(String formKey)

  - ### planItemInstanceExtraValue

    HistoricPlanItemInstanceQuery planItemInstanceExtraValue(String extraValue)

  - ### involvedUser

    HistoricPlanItemInstanceQuery involvedUser(String involvedUser)

  - ### involvedGroups

    HistoricPlanItemInstanceQuery involvedGroups(Collection<String> involvedGroups)

  - ### onlyStages

    HistoricPlanItemInstanceQuery onlyStages()

  - ### planItemInstanceTenantId

    HistoricPlanItemInstanceQuery planItemInstanceTenantId(String tenantId)

  - ### planItemInstanceWithoutTenantId

    HistoricPlanItemInstanceQuery planItemInstanceWithoutTenantId()

  - ### planItemInstanceTenantIdLike

    HistoricPlanItemInstanceQuery planItemInstanceTenantIdLike(String tenantIdLike)

  - ### createdBefore

    HistoricPlanItemInstanceQuery createdBefore(Date createdBefore)

  - ### createdAfter

    HistoricPlanItemInstanceQuery createdAfter(Date createdAfter)

  - ### lastAvailableBefore

    HistoricPlanItemInstanceQuery lastAvailableBefore(Date availableBefore)

  - ### lastAvailableAfter

    HistoricPlanItemInstanceQuery lastAvailableAfter(Date availableAfter)

  - ### lastUnavailableBefore

    HistoricPlanItemInstanceQuery lastUnavailableBefore(Date unavailableBefore)

  - ### lastUnavailableAfter

    HistoricPlanItemInstanceQuery lastUnavailableAfter(Date unavailableAfter)

  - ### lastEnabledBefore

    HistoricPlanItemInstanceQuery lastEnabledBefore(Date enabledBefore)

  - ### lastEnabledAfter

    HistoricPlanItemInstanceQuery lastEnabledAfter(Date enabledAfter)

  - ### lastDisabledBefore

    HistoricPlanItemInstanceQuery lastDisabledBefore(Date disabledBefore)

  - ### lastDisabledAfter

    HistoricPlanItemInstanceQuery lastDisabledAfter(Date disabledAfter)

  - ### lastStartedBefore

    HistoricPlanItemInstanceQuery lastStartedBefore(Date startedBefore)

  - ### lastStartedAfter

    HistoricPlanItemInstanceQuery lastStartedAfter(Date startedAfter)

  - ### lastSuspendedBefore

    HistoricPlanItemInstanceQuery lastSuspendedBefore(Date suspendedBefore)

  - ### lastSuspendedAfter

    HistoricPlanItemInstanceQuery lastSuspendedAfter(Date suspendedAfter)

  - ### completedBefore

    HistoricPlanItemInstanceQuery completedBefore(Date completedBefore)

  - ### completedAfter

    HistoricPlanItemInstanceQuery completedAfter(Date completedAfter)

  - ### occurredBefore

    HistoricPlanItemInstanceQuery occurredBefore(Date occurredBefore)

  - ### occurredAfter

    HistoricPlanItemInstanceQuery occurredAfter(Date occurredAfter)

  - ### terminatedBefore

    HistoricPlanItemInstanceQuery terminatedBefore(Date terminatedBefore)

  - ### terminatedAfter

    HistoricPlanItemInstanceQuery terminatedAfter(Date terminatedAfter)

  - ### exitBefore

    HistoricPlanItemInstanceQuery exitBefore(Date exitBefore)

  - ### exitAfter

    HistoricPlanItemInstanceQuery exitAfter(Date exitAfter)

  - ### endedBefore

    HistoricPlanItemInstanceQuery endedBefore(Date endedBefore)

  - ### endedAfter

    HistoricPlanItemInstanceQuery endedAfter(Date endedAfter)

  - ### ended

    HistoricPlanItemInstanceQuery ended()

  - ### notEnded

    HistoricPlanItemInstanceQuery notEnded()

  - ### locale

    HistoricPlanItemInstanceQuery locale(String locale)
    Localize plan item name to specified locale.

  - ### withLocalizationFallback

    HistoricPlanItemInstanceQuery withLocalizationFallback()
    Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  - ### includeLocalVariables

    HistoricPlanItemInstanceQuery includeLocalVariables()

  - ### orderByCreateTime

    HistoricPlanItemInstanceQuery orderByCreateTime()

  - ### orderByEndedTime

    HistoricPlanItemInstanceQuery orderByEndedTime()

  - ### orderByLastAvailableTime

    HistoricPlanItemInstanceQuery orderByLastAvailableTime()

  - ### orderByLastEnabledTime

    HistoricPlanItemInstanceQuery orderByLastEnabledTime()

  - ### orderByLastDisabledTime

    HistoricPlanItemInstanceQuery orderByLastDisabledTime()

  - ### orderByLastStartedTime

    HistoricPlanItemInstanceQuery orderByLastStartedTime()

  - ### orderByLastSuspendedTime

    HistoricPlanItemInstanceQuery orderByLastSuspendedTime()

  - ### orderByLastUpdatedTime

    HistoricPlanItemInstanceQuery orderByLastUpdatedTime()

  - ### orderByCompletedTime

    HistoricPlanItemInstanceQuery orderByCompletedTime()

  - ### orderByOccurredTime

    HistoricPlanItemInstanceQuery orderByOccurredTime()

  - ### orderByTerminatedTime

    HistoricPlanItemInstanceQuery orderByTerminatedTime()

  - ### orderByExitTime

    HistoricPlanItemInstanceQuery orderByExitTime()

  - ### orderByName

    HistoricPlanItemInstanceQuery orderByName()